import { Settlement } from "@payfunc/model";
export declare class IntergiroPortalSettlements {
  settlements: Settlement[];
  interchange?: true;
  settlementsFiltered?: Settlement[];
  selected: {
    [reference: string]: Settlement | undefined;
  };
  componentWillLoad(): void;
  settlementsChanged(): void;
  handleFilterChanged(event: CustomEvent<Settlement[]>): void;
  handleSelectedChanged(event: CustomEvent<{
    [reference: string]: Settlement | undefined;
  }>): void;
  render(): any[];
}
